On 10/31/2016 08:31 PM, Michał Górny wrote:
> 
> 4. What are the common tasks that you find unnecessarily complex /
> lengthy with the current version specifications?

Slotted version ranges, for example:

  berkdb? ( || ( sys-libs/db:5.3
                 sys-libs/db:5.1
                 sys-libs/db:4.8
                 sys-libs/db:4.7
                 sys-libs/db:4.6
                 sys-libs/db:4.5 ) )

The verbosity is to avoid something like

  ( >sys-libs/db-4.4 <sys-libs/db-5.4 )

which could be satisfied by installing both sys-libs/db-4.4 and
sys-libs/db-5.4 since they're in different slots.


Reply via email to